#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFD,0x8E,0xD4,0x27,0xAC,0xB6,0xA3,0x2B,0x88,0x69,0x3E,0x40,
		0xFF,0x81,0x4B,0xB8,0x33,0xE3,0x2F,0x41,0xA1,0x9C,0x17,0xEB,
		0x58,0x1F,0x41,0x8B,0x61,0x2D,0x1D,0x1A,0xFB,0x14,0x62,0x20,
		0x86,0xBD,0x7E,0xFF,0xA6,0x89,0x17,0xDD,0x02,0x3B,0x6F,0x06,
		0x5A,0x51,0x10,0x00,0x30,0xE5,0x67,0xD3,0x5E,0x07,0x0E,0x28,
		0x1F,0x45,0x8B,0xD3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
